<div class="form-field">
  <#assign fieldValue=field.value>
    <div class="viewmode-field">
       <#if field.mandatory && field.value == "">
           <span class="incomplete-warning"><img src="${url.context}/res/components/form/images/warning-16.png" title="${msg("form.field.incomplete")}" /></span>
       </#if>

       <script type="text/javascript">//<![CDATA[
       YAHOO.util.Event.onContentReady("${fieldHtmlId}", function(){
           new jiraTicketList("${fieldHtmlId}");
       });

       function jiraTicketList(currentValueHtmlId) {
          this.currentValueHtmlId = currentValueHtmlId;
          var jiraList = Dom.get(this.currentValueHtmlId);

          this.register = function () {
            Alfresco.util.Ajax.jsonGet({
              url: Alfresco.constants.PROXY_URI + "/jp/ricksoft/connector/jiraTicketParameters?fieldData=${field.value}",
              successCallback: {
                fn: this.addTickets,
                scope: this
              },
              failureCallback: {
                fn: function () {
                },
                scope: this
              }
            });
          };

          this.addTickets = function (res) {

            var innterString = null;
            var result = Alfresco.util.parseJSON(res.serverResponse.responseText);

            if (result.relatedJiraTickets.length > 0) {
              var tickets = result.relatedJiraTickets;
              for(var i in tickets){
                var ticket = document.createElement("div");
                ticket.className += "alf-g";
                var ticketIssueKeyAndId = document.createElement("div");
                ticketIssueKeyAndId.className += "alf-u first viewmode-field";
                ticketIssueKeyAndId.appendChild(document.createTextNode("${msg("form.label.rs.jira.issueKey")} : "));
                var jiraUri = tickets[i].jiraUri;
                var ticketIssueType = document.createElement("div");
                ticketIssueType.className += "alf-u viewmode-field"
                var innerString = tickets[i].issueKey;
                if(jiraUri != null){
                  var uri = document.createElement("a");
                  uri.href = jiraUri;
                  uri.appendChild(document.createTextNode(innerString));
                  uri.setAttribute("target", "_blank");
                  uri.style.textDecoration="underline";
                  ticketIssueKeyAndId.appendChild(uri);
                } else {
                  ticketIssueKeyAndId.appendChild(document.createTextNode(innerString));
                }
                ticketIssueType.appendChild(document.createTextNode("${msg("form.label.rs.jira.issueType")} : " + tickets[i].issueType));
                ticket.appendChild(ticketIssueKeyAndId);
                ticket.appendChild(ticketIssueType);
                jiraList.appendChild(ticket);
              }
            }
          }
          this.register();
      };

       //]]></script>

       <span class="viewmode-value">
         <#if fieldValue == "">${msg("form.control.novalue")}<#else><div id="${fieldHtmlId}"></div></#if>
       </span>
    </div>
</div>
